var Wxss = require('./wxss');
var path=require('path');
var fs=require('fs');
var debug=require('debug')('wevue');

module.exports = function(wxFolder, vueFolder, rootFolder) {

    var wxssFile = path.join(wxFolder, 'app-admin.wxss');
    var cssFile = path.join(vueFolder, 'src', 'app-admin.css');
    debug('wxssFile', wxssFile);
    if (fs.existsSync(wxssFile)) {
        var wxss = fs.readFileSync(wxssFile, 'utf8');
        debug('wxss',wxss);
        var css = Wxss(wxss);
        fs.writeFileSync(cssFile, css);
    } else {
        fs.writeFileSync(cssFile, "");
    }
}
