let globalPlugins = require('plugins/entry')
let globalComponents = require('components/entry')
let globalMixins = require('mixins/entry')
let globalDirectives = require('directives/entry')
export function globalVueInit ($vue){
    /**
     * @lzq
     * 初始化全局vue 插件 plugins
     */
    for(let i in globalPlugins){
        if(globalPlugins[i].__with_config&&globalPlugins[i].plugin&&globalPlugins[i].config){
            $vue.use(globalPlugins[i].plugin,globalPlugins[i].config)
        }else{
            $vue.use(globalPlugins[i])
        }
    }

    /**
     * @lzq
     * 初始化全局vue 组件 components
     */
    for(let i in globalComponents){
        $vue.component(i,globalComponents[i])
    }

    /**
     * @lzq
     * 初始化全局vue mixins
     */
    for(let i in globalMixins){
        $vue.mixin(globalMixins[i])
    }

    /**
     * @lzq
     * 初始化全局vue directives
     */
    for(let i in globalDirectives){
        $vue.directive(i,globalDirectives[i])
    }
}